Package org.eclipse.emf.cdo.view

# Interface CDOViewPermissionsChangedEvent

All Superinterfaces:
  `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

public interface CDOViewPermissionsChangedEvent extends CDOViewEvent
A `view event` fired when `permissions` of the `revisions` of this view have changed.

Since:
  4.22
Author:
  Eike Stepper
See Also:
  - `CDOSessionPermissionsChangedEvent`
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`Map<CDOID,org.eclipse.net4j.util.collection.Pair<CDOPermission,CDOPermission>>`
`getPermissionChanges()`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

`getSource`

## Method Details

### getPermissionChanges

Map<CDOID,org.eclipse.net4j.util.collection.Pair<CDOPermission,CDOPermission>> getPermissionChanges()